<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <title>Ciyon - 众产全栈开发框架</title>
    <meta name="keywords" content="全栈开发框架,Golang开发框架,PHP开发框架,移动端开发框架,Vue3开发框架" />
    <meta http-equiv="x-ua-compatible" content="ie=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, user-scalable=0, shrink-to-fit=no" />
    <link rel="stylesheet" href="/jscss/web.css" />
    <script src="/jscss/theme.js"></script>
</head>

<body>
    <div class="title">
        <?php
        $cate = getint('cate');
        $id = getint('id');
        $current_page = '/wlist/2/art/435';
        include_once("www/_header.php");
        ?>
    </div>
    <div class="vtitle">/web/www/listart.php</div>
    <div>
        <?php
        $csql = new \ciy\sql('www_list_cate');
        $csql->where('id', $cate);
        $row = $db->getone($csql);
        clog($row);
        $csql = new \ciy\sql('www_list_art');
        $csql->where('cateid', $cate);
        $csql->where('id', $id);
        $artrow = $db->getone($csql);
        if (!is_array($artrow)) {
            echo "文章不存在";
        } else {
            $content = $artrow['content'];
            unset($artrow['content']);
            clog($artrow);
            $csql = new \ciy\sql('www_seoword');
            $csql->where('isuse', 1);
            $seowordrows = $db->get($csql);
            echo \web\cwebcomon::www_convertseoword($seowordrows, $content, $artrow['keys']);
        }

        $updata = array();
        $updata['clickcnt'] = array('clickcnt+1');
        $csql = new \ciy\sql('www_list_art');
        $csql->where('id', $id);
        $db->update($csql, $updata);
        ?>
    </div>
    <?php include_once("www/_footer.php"); ?>
</body>

</html>